package com.java.code.geeks.examples;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

public class ExampleUsingStatement {
	
    public static void main(String[] args) throws SQLException {
		Connection connection = ConnectionObject.getConnection();
		Statement stmt = connection.createStatement();
		connection.setAutoCommit(false);
		addStatements(stmt);			
		int[] result = stmt.executeBatch();
		System.out.println("The number of rows affected: "+ result.length);
		connection.commit();
		if(stmt!=null)
			stmt.close();
		if(connection!=null)
			connection.close();
	}

	private static void addStatements(Statement stmt) throws SQLException {
		for(int i=0;i<=200;i++){
			stmt.addBatch("insert into PERSONS values ('Java','Code Geeks',"+(i+10)+","+(i+1)+")");	
		}
		
	}
}
